package info.bukova.isspst.ui;

import org.zkoss.bind.annotation.Command;
import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zul.Window;

public class NavigationVM {
	
	private String contextPath;
	private String moduleUrl;
	
	@Init
	public void init() {
		contextPath = Executions.getCurrent().getContextPath();
		moduleUrl = Executions.getCurrent().getDesktop().getRequestPath();
	}
	
	@Command
	public void passwd() {
		Window window = (Window)Executions.createComponents("/app/passwd.zul", null, null);
        window.doModal();
	}
	
	@Command
	public void numSeries() {
		Window window = (Window)Executions.createComponents("/settings/numberSeries.zul", null, null);
        window.doModal();
	}
	
	@Command
	public void globalSettings() {
		Window window = (Window)Executions.createComponents("/settings/globalSettings.zul", null, null);
        window.doModal();
	}
	
	public String getContextPath() {
		return contextPath;
	}
	
	public String getModuleUrl() {
		return moduleUrl;
	}
	
	public boolean isOrders() {
		return moduleUrl.contains("orders");
	}
	
	public boolean isSettings() {
		return moduleUrl.contains("settings");
	}
	
	public boolean isAdmin() {
		return moduleUrl.contains("admin");
	}
	
	public boolean isUser() {
		return moduleUrl.contains("passwd");
	}

	public boolean isLists()	{
		return moduleUrl.contains("lists");
	}
	
	public boolean isRequirements()	{
		return moduleUrl.contains("requirements");
	}
}
